#include<iostream>
using namespace std;
void unosk(int a[], int k)
{
    for(int i=0;i<k;i++)
        cin>>a[i];
}
void xor_delilaca(int a[], int b[], int n, int k)
{
    for(int i=0;i<n;i++)
    {
        int c=b[0];
        if(a[i]%i==0)
            b[i]=i;
        c=c^b[i];
        cout<<c<<endl;
    }
}
int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    int b[k];
    unosk(a,k);
    xor_delilaca(a,b,n,k);
}